m4_define(PROGRAM, para_play)
m4_define(DEFAULT_HISTORY_FILE, ~/.paraslash/play.history)
m4_define(DEFAULT_CONFIG_FILE,~/.paraslash/play.conf)
[suite play]
version-string = GIT_VERSION()
[supercommand para_play]
	purpose = command line audio player
	non-opts-name = <audio_file>...
	[description]
		para_play operates either in command mode or in insert mode. In insert
		mode it presents a prompt and allows the user to enter commands like
		play, pause, quit, etc. In command mode the current audio file and the
		playback position are shown instead of the prompt/command line, and
		the program reads single key strokes from stdin. Keys may be mapped
		to commands so that the configured command is executed whenever a
		mapped key is pressed.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	m4_include(config-file.m4)
	m4_include(history-file.m4)
	m4_include(per-command-options-section.m4)
	[option randomize]
		short_opt = z
		summary = randomize playlist at startup
	[option end-of-playlist]
		summary = what to do after the last file has been played
		arg_info = required_arg
		arg_type = string
		typestr = behaviour
		values = {
			EOP_LOOP = "loop",
			EOP_STOP = "stop",
			EOP_QUIT = "quit"
                }
	[option key-map]
		short_opt = k
		summary = map a key to a command
		arg_info = required_arg
		arg_type = string
		flag multiple
		typestr = key:command [args]
		[help]
			This option may be given multiple times, one for each key
			mapping. Example:

				--key-map 5:jmp 50
		[/help]
