/* Copyright (C) 2006 Andre Noll <maan@tuebingen.mpg.de>, see file COPYING. */

/** \file stdin.h The standard in task structure. */

/** The task structure used for reading from stdin. */
struct stdin_task {
	/** The task structure. */
	struct task *task;
	/** Stdin is always the root of a buffer tree. */
	struct btr_node *btrn;
	/** Use a buffer pool to minimize memcpy due to alignment problems. */
	struct btr_pool *btrp;
	/** The descriptor flags of STDIN at startup. */
	int fd_flags;
	/** Whether we have to set STDIN to nonblocking mode. */
	bool must_set_nonblock_flag;
};

void stdin_task_register(struct stdin_task *sit, struct sched *s);
